HostingDelivery

Reset Delivery account password

PUT/api/delivery/accounts/{id}/password

Generates new SMTP credentials for a Delivery account.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

id*integer
Format int32

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/delivery/accounts/0/password" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json"
{  "resources": [    {      "created_at": "string",      "updated_at": "string",      "username": "string",      "description": "string",      "id": "string",      "status": 0,      "status_detail": "ok",      "type": "transactional",      "plan": "free",      "start_date": "string",      "num_messages": "string",      "password": "string",      "config_hostname": "string",      "customer_code": "string",      "customer_fullname": "string",      "domains_count": "string",      "allow_nets": "string",      "domains": "string",      "bounce_notification": "string",      "bounce_notification_to_sender": "string",      "next_renewal_date": "string",      "last_renewal_date": "string",      "plan_expiration_date": "string",      "remaining_messages": "string",      "messages_sent": "string",      "remaining_extra_messages_bought": "string",      "extra_messages_total": "string",      "remaining_messages_error": "string",      "extra_messages_expires_at": "string",      "delivery_analytics": "string",      "has_pending_order": "string",      "delete_on": "string",      "plan_num_messages": "string",      "reset_to_plan_num_messages": "string",      "manager_fullname": "string",      "manager_code": "string",      "ignore_suppression_list": "string"    }  ],  "pagination": {}}